Bug 235633 - FC6 only installation on an EFI based macboook pro fails to boot
FC6 only installation on an EFI based macboook pro fails to boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-08 13:11 EDT by Jussi Eloranta
Modified: 2008-05-06 15:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 15:29:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jussi Eloranta 2007-04-08 13:11:23 EDT
I hope this came to the right category...

Description of problem:
I wanted to install Fedora Core 6 only on my macbook pro laptop (e.g. no windows, no macos x).
The installation went fine but the machine fails to boot after the install. After inspecting the machine,
I see that the installer put GPT (EFI) partition scheme on the disk. It turns out that the efi bios
can't find grub ("missing operating system" message displayed). To fix this, I had to partition the
disk by hand and force the use of the old style partition table. Apparently the Apple EFI bios knows
about the old partition scheme and it was able to find grub. My suggestion is to add a selection
to the installer, which lets the user decide what type partition table should be used.

Version-Release number of selected component (if applicable):

FC6

How reproducible:

Perform FC6 only install on a macbook pro.

Steps to Reproduce:
1.
2.
3.
  
Actual results:

A machine that does not boot/

Expected results:

A machine that would boot ;-)

Additional info:
Comment 1 Andrew Cathrow 2007-04-09 09:15:54 EDT
Does grub actually support EFI - I thought this support was only slated for
Grub2 - so in this case you're really using BIOS calls not EFI calls.

My understanding was that we need the bios compatability layer for certain
compents - eg. video card with 2d/3d accelleration. I think the X drivers call
into the bios for video mode info
If you want real EFI then I believe your options are eLILO or grub2.


I don't think that gnu parted or other tools really understand what the Mac is
doing.

The MacBooks have a MBR/GPT hybrid partition table. The MBR is maintained for
legacy compatability. 
So any tools we use have to keep them both in sync.
If I use disktool in os X then it updates both partition tables. 
If I make changes to the GPT in Linux using parted then I've got a problem if I
don't have the MBR in sync, since grub's going to use that.


I've been installing using the regular anaconda install (fc6/rawhide/rhel5) but
if I change the partition scheme then I need to sync up the tables.

rEFIt from http://refit.sourceforge.net has the appropriate tools.
gptsync will sync the changes made in MBR back to GPT. Calling gptsync after the
partitioning in anacoda would be a good first step. You could always install
rEFIt's mac boot loader which has a sync tool.



Comment 2 Jussi Eloranta 2007-04-09 10:16:59 EDT
You want to use MBR/GPT hybrid (and rEFIT) when you have MacOS X on the machine.
That is what I did when I still had MacOS X installed (dual boot). After Apple messed up everything with
a system update, I decided to get rid of OS X completely. So I cleaned the hard disk completely,
and did a fresh Linux only install.

If you have only Linux on the machine, where are you going to put rEFIT? In principle you could
install it on the "extra partititon" but this takes some hacking (and partitioning by hand as FC6 installer 
does not create this). The Apple EFI bios seems to understand the old MBR partition tables (without 
GPT) in some sort of compatibility mode. During boot I get a "missing fold symbol briefly" but then it 
proceeds in loading grub. The only way I got the machine to boot was to use MBR (without GPT). BTW 
everything works (incluing X). I found a hint about this from one of the gentoo macbook pro howtos.

If one wants to do EFI, eLILO/grub2 are probably to only options that would work (not supported
by the installer). There seems to be another issue with grub and Mac Pro when using DVI output
but that's another story (grub won't boot when DVI output is used but works OK if analog output
is active).
Comment 3 Jussi Eloranta 2007-04-09 10:18:17 EDT
Forgot to mention that the Mac Pro problem occurs WITH rEFIT (+ MBR/GPT hybrid).
Comment 4 Jeremy Katz 2007-04-09 11:43:34 EDT
gptsync should be getting called during the install
Comment 5 Bug Zapper 2008-04-04 02:49:12 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 15:29:18 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.